Bug 180163 - Webalizer gives error related to libgd
Webalizer gives error related to libgd
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: webalizer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 10:14 EST by Daniel Senie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 08:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Senie 2006-02-06 10:14:25 EST
Description of problem:

Webalizer produces the following message on RHEL4:

webalizer: undefined symbol: gdImagePng

Version-Release number of selected component (if applicable):

all updated via RHN.

How reproducible: 100%

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Joe Orton 2006-02-06 10:47:00 EST
Thanks for contacting us.

I would suspect that either the webalizer or gd library package has been
upgraded to a third-party source, or there is some other corruption on your
system.  Please run:

rpm -q gd webalizer
rpm -V webalizer gd
Comment 2 Daniel Senie 2006-02-06 13:06:02 EST
Requested info:

# rpm -q gd webalizer

# rpm -V webalizer gd
prelink: /usr/bin/webalizer: at least one of file's dependencies has changed
since prelinking
S.?.....    /usr/bin/webalizer
S.5....T    /usr/lib/libgd.so.2.0.0

There's a possibility one of the other folks working on this machine may have
done something with gd. I'm trying to find that out.
Comment 3 Joe Orton 2007-04-25 08:20:34 EDT
The above shows this is likely to have been caused by a modified version of
webalizer or gd - the packaged versions do not have this issue.

Note You need to log in before you can comment on or make changes to this bug.